/*
 *  Copyright 2008 Mevenide Team.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package org.codehaus.mevenide.buildplan.nodes;

import java.awt.Image;
import org.apache.maven.lifecycle.model.MojoBinding;
import org.openide.nodes.AbstractNode;
import org.openide.nodes.Children;
import org.openide.util.NbBundle;
import org.openide.util.Utilities;

/**
 *
 * @author Anuradha G
 */
public class ExecutionNode extends AbstractNode {

    public ExecutionNode(MojoBinding mb) {
        super(Children.LEAF);
        setDisplayName(NbBundle.getMessage(ExecutionNode.class, "LBL_executionId",
                new Object[]{
            mb.getExecutionId(),
            mb.getOrigin()!=null?mb.getOrigin():"n/a",
            mb.getOriginDescription()!=null? " - "+mb.getOriginDescription():"",
        }));
    }

    @Override
    public Image getIcon(int arg0) {
        return Utilities.loadImage("org/codehaus/mevenide/buildplan/nodes/executionId.png");
    }

    @Override
    public String getHtmlDisplayName() {
        return getDisplayName();
    }
}
